--- old/usr/src/uts/sun4v/ml/trap_table.s	Thu Nov 14 19:00:59 2019
+++ new/usr/src/uts/sun4v/ml/trap_table.s	Thu Nov 14 19:00:59 2019
@@ -24,9 +24,7 @@
  * Use is subject to license terms.
  */
 
-#if !defined(lint)
 #include "assym.h"
-#endif /* !lint */
 #include <sys/asm_linkage.h>
 #include <sys/privregs.h>
 #include <sys/sun4asi.h>
@@ -118,9 +116,7 @@
  * NOT is used for traps that just shouldn't happen.
  * It comes in both single and quadruple flavors.
  */
-#if !defined(lint)
 	.global	trap
-#endif /* !lint */
 #define	NOT			\
 	TT_TRACE(trace_gen)	;\
 	set	trap, %g1	;\
@@ -154,9 +150,7 @@
  * TRAP vectors to the trap() function.
  * It's main use is for user errors.
  */
-#if !defined(lint)
 	.global	trap
-#endif /* !lint */
 #define	TRAP(arg)		\
 	TT_TRACE(trace_gen)	;\
 	set	trap, %g1	;\
@@ -273,8 +267,6 @@
 	clr %o4; clr %o5; clr %o6; clr %o7			;\
 	retry; .align 128
 
-#if !defined(lint)
-
 /*
  * If we get an unresolved tlb miss while in a window handler, the fault
  * handler will resume execution at the last instruction of the window
@@ -584,8 +576,6 @@
 	.empty
 
 
-#endif /* !lint */
-
 /*
  * SPILL_mixed spills either size window, depending on
  * whether %sp is even or odd, to a 32-bit address space.
@@ -725,8 +715,6 @@
 	nop				;\
 	.align	32
 
-#if !defined(lint)
-
 /*
  * ECACHE_ECC error traps at level 0 and level 1
  */
@@ -740,8 +728,6 @@
 	sub	%g0, 1, %g4		;\
 	.align	32
 
-#endif /* !lint */
-
 /*
  * illegal instruction trap
  */
@@ -1087,13 +1073,6 @@
 #endif
 
 
-#if defined(lint)
-
-struct scb	trap_table;
-struct scb	scb;		/* trap_table/scb are the same object */
-
-#else /* lint */
-
 /*
  * =======================================================================
  *		SPARC V9 TRAP TABLE
@@ -2897,4 +2876,3 @@
 	SYSCALL_NOTT(syscall_trap)
 	SET_SIZE(syscall_wrapper)
 
-#endif	/* lint */
--- old/usr/src/uts/sun4v/ml/wbuf.s	Thu Nov 14 19:00:59 2019
+++ new/usr/src/uts/sun4v/ml/wbuf.s	Thu Nov 14 19:00:59 2019
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/asm_linkage.h>
 #include <sys/machthread.h>
 #include <sys/privregs.h>
@@ -36,7 +34,6 @@
 #include <sys/machtrap.h>
 #include <sys/traptrace.h>
 
-#if !defined(lint)
 #include "assym.h"
 
 	/*
@@ -513,4 +510,3 @@
 	mov	PTL1_BAD_WTRAP, %g1
 	SET_SIZE(fault_32bit_not)
 	SET_SIZE(fault_64bit_not)
-#endif /* !lint */
--- old/usr/src/uts/sun4v/vm/mach_sfmmu_asm.s	Thu Nov 14 19:01:00 2019
+++ new/usr/src/uts/sun4v/vm/mach_sfmmu_asm.s	Thu Nov 14 19:01:00 2019
@@ -28,11 +28,7 @@
  * routines.
  */
 
-#if defined(lint)
-#include <sys/types.h>
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/machtrap.h>
@@ -54,34 +50,6 @@
  * sfmmu related subroutines
  */
 
-#if defined (lint)
-
-/* ARGSUSED */
-void
-sfmmu_raise_tsb_exception(uint64_t sfmmup, uint64_t rctx)
-{}
-
-int
-sfmmu_getctx_pri()
-{ return(0); }
-
-int
-sfmmu_getctx_sec()
-{ return(0); }
-
-/* ARGSUSED */
-void
-sfmmu_setctx_sec(uint_t ctx)
-{}
-
-/* ARGSUSED */
-void
-sfmmu_load_mmustate(sfmmu_t *sfmmup)
-{
-}
-
-#else	/* lint */
-
 /*
  * Invalidate either the context of a specific victim or any process
  * currently running on this CPU. 
@@ -430,24 +398,6 @@
 
 	SET_SIZE(sfmmu_load_mmustate)
 	
-#endif /* lint */
-
-#if defined(lint)
-
-/* Prefetch "struct tsbe" while walking TSBs */
-/*ARGSUSED*/
-void
-prefetch_tsbe_read(struct tsbe *tsbep)
-{}
-
-/* Prefetch the tsbe that we are about to write */
-/*ARGSUSED*/
-void
-prefetch_tsbe_write(struct tsbe *tsbep)
-{}
-
-#else /* lint */
-
 	ENTRY(prefetch_tsbe_read)
 	retl
 	nop
@@ -457,4 +407,3 @@
 	retl
 	nop
 	SET_SIZE(prefetch_tsbe_write)
-#endif /* lint */
